#include "CaTurbot.h"

//外围硬件：
//端口A：PF指示灯
//端口B：PF指示灯
//端口1：PF指示灯
//端口2：PF指示灯
//功能介绍：
//端口AB12外围的LED模块实现呼吸灯效果。

void setup() {
  //端口初始化
  init();
}

void loop() {
  // fade in from min to max in increments of 5 points:
  for (int fadeValue = 0 ; fadeValue <= 255; fadeValue += 5) {
    // sets the value (range from 0 to 255):
    portPWM(portA, fadeValue);
    portPWM(portB, fadeValue);
    portPWM(port1, fadeValue);
    portPWM(port2, fadeValue);
    // wait for 30 milliseconds to see the dimming effect
    delay(30);
  }

  // fade out from max to min in increments of 5 points:
  for (int fadeValue = 255 ; fadeValue >= 0; fadeValue -= 5) {
    // sets the value (range from 0 to 255):
    portPWM(portA, fadeValue);
    portPWM(portB, fadeValue);
    portPWM(port1, fadeValue);
    portPWM(port2, fadeValue);
    // wait for 30 milliseconds to see the dimming effect
    delay(30);
  }
}
