#include "CaTurbot.h"

//外围硬件：
//端口A：PF电机
//端口B：PF电机
//功能介绍：
//端口AB的电机正反转运动控制。

Motor motorA;
Motor motorB;

void setup()
{
  motorA.setMotorPort(portA);	//设置电机A接到端口A
  motorB.setMotorPort(portB);	//设置电机B接到端口B
  motorA.setMotorDir(FORWARD); 	//设置电机A正转  FORWARD正转  BACKWARD  反转
  motorB.setMotorDir(BACKWARD); //设置电机B反转  FORWARD正转  BACKWARD  反转
  motorA.setMotorSpeed(255); 	//设置电机A速度为255
  motorB.setMotorSpeed(128); 	//设置电机B速度为128
}

void loop()
{
  motorA.setMotorMode(FORWARD); //正转
  delay(1000);
  motorA.setMotorMode(RELEASE);//停止
  delay(1000);

  motorA.setMotorMode(BACKWARD); //反转
  delay(1000);
  motorA.setMotorMode(BRAKE);//抱闸
  delay(1000);

  motorB.setMotorMode(FORWARD); //正转
  delay(1000);
  motorB.setMotorMode(RELEASE);//停止
  delay(1000);

  motorB.setMotorMode(BACKWARD); //反转
  delay(1000);
  motorB.setMotorMode(BRAKE);//抱闸
  delay(1000);
}