#include <CaTurbot.h>

//外围硬件：
//端口A：PF电机
//端口B：PF电机
//端口1：PF舵机 + PF巡线
//端口2：PF舵机 + PF巡线
//功能介绍：
//机器人小车速度运动控制。

Servo servo1;
Servo servo2;
Motor motorA;   //电机A
Motor motorB;   //电机B
Robot car01;   //小车

int vSpeed = 10;
int vSensorL = 0;
int vSensorR = 0;
int vSensorLMT = 200;
int vSensorLMTMIN = 200;
int vSensorLMTMAX = 600;

void setup() {
  init();  //端口初始化
  //Serial.begin(57600);    // 开启USB串口0通信, 波特率为 57600
  //Serial1.begin(57600);   // 开启BLE串口1通信, 波特率为 57600
  car01.begin(&motorA, &motorB);//小车初始化
  servo1.setServoPort(port1);
  servo2.setServoPort(port2);
  for (int pos = 0; pos <= 360; pos += 1) { // goes from 0 degrees to 180 degrees
    // in steps of 1 degree
    servo1.portServo(pos);
    servo2.portServo(pos);
    delay(15);                       // waits 15ms for the servo to reach the position
  }
  for (int pos = 360; pos >= 0; pos -= 1) { // goes from 180 degrees to 0 degrees
    servo1.portServo(pos);
    servo2.portServo(pos);
    delay(15);                       // waits 15ms for the servo to reach the position
  }
}

void loop() {
  vSensorL = portData(port1);
  vSensorR = portData(port2);
  //Serial.print(vSensorL);
  //Serial.print(",");
  //Serial.println(vSensorR);
  //delay(300);

  //vSensorL = constrain(vSensorL, vSensorLMTMIN, vSensorLMTMAX);
  //vSensorR = constrain(vSensorR, vSensorLMTMIN, vSensorLMTMAX);

  if (vSensorL < vSensorLMT && vSensorR < vSensorLMT) car01.goForward(200, 200); //小车前进
  if (vSensorL >= vSensorLMT && vSensorR >= vSensorLMT) car01.stop(); //小车停止
  if (vSensorL < vSensorLMT && vSensorR >= vSensorLMT) car01.goLeft(128, 128); //小车左转
  if (vSensorL >= vSensorLMT && vSensorR < vSensorLMT) car01.goRight(128, 128); //小车右转
}