#include "CaTurbot.h"

void init()
{
    pinMode(28, INPUT); //set Port2B input
    pinMode(27, INPUT); //set Port1B input
    pinMode(19, INPUT); //set btnL input
    pinMode(25, INPUT); //set btnR input
    pinMode(21, INPUT); //set LowPowerChk input
    pinMode(20, OUTPUT);//set LED Green output
    pinMode(2, OUTPUT);//set Port output
    pinMode(3, OUTPUT);//set Port output
    pinMode(4, OUTPUT);//set Port output
    pinMode(5, OUTPUT);//set Port output
    pinMode(26, OUTPUT);//set Port output
    pinMode(29, OUTPUT);//set Port output
	digitalWrite(pinPortAB,LOW);
	digitalWrite(pinPortBB,LOW);
	digitalWrite(pinLEDG,HIGH);
}




void portWrite(uint8_t _io,bool _state)
{
    switch(_io)
    {
        case portA:
        digitalWrite(pinPortAB,LOW);
        digitalWrite(pinPortAA,_state);
        break;
        case portB:
        digitalWrite(pinPortBB,LOW);
        digitalWrite(pinPortBA,_state);
        break;
        case port1:
        digitalWrite(pinPort1A,_state);
        break;
        case port2:
        digitalWrite(pinPort2A,_state);
        break;
        default:
        break;
    }
}

//LED输出
void ledWrite(bool _state)
{
    digitalWrite(pinLEDG,_state);
}

//PWM输出 not work at portAB
void portPWM(uint8_t _io,uint8_t _vPWM)
{
	analogWriteFreq(20000); //PMW最大40K驱动频率
    switch(_io)
    {
        case portA:
        digitalWrite(pinPortAA, HIGH);
        analogWrite(pinPortAB, ~_vPWM);
        break;
        case portB:
        digitalWrite(pinPortBA, HIGH);
        analogWrite(pinPortBB, ~_vPWM);
        break;
        case port1:
        analogWrite(pinPort1A, _vPWM);
        break;
        case port2:
        analogWrite(pinPort2A, _vPWM);
        break;
        default:
        break;
    }
}

//数字输入
bool portRead(uint8_t _io)
{
    switch(_io)
    {
        case port1:
		if(analogRead(pinPort1B) > vAnalogReadLimit){
			return 1;
		}else{
			return 0;
		}
        break;
        case port2:
        if(analogRead(pinPort2B) > vAnalogReadLimit){
			return 1;
		}else{
			return 0;
		}
        break;
        default:
        return 0;
        break;
    }
}


//按钮输入
bool btnRead(uint8_t _io)
{
    switch(_io)
    {
        case pinBtnL:
        return digitalRead(pinBtnL);
        break;
        case pinBtnR:
        return digitalRead(pinBtnR);
        break;
        default:
        return 0;
        break;
    }
}


//模拟输入
int portData(uint8_t _io)
{
    switch(_io)
    {
        case port1:
        return analogRead(pinPort1B);
        break;
        case port2:
        return analogRead(pinPort2B);
        break;
        default:
        return -32768;
        break;
    }
}

void stopAll()
{
	digitalWrite(pinPortAB,LOW);
    digitalWrite(pinPortAA,LOW);
    digitalWrite(pinPortBB,LOW);
    digitalWrite(pinPortBA,LOW);
    digitalWrite(pinPort1A,LOW);
    digitalWrite(pinPort2A,LOW);
}