#ifndef __BUZZER_h
#define __BUZZER_h

#include "Arduino.h"
//#include "utility/pitches.h"

#define pinPortAA 2 //MOS
#define pinPortAB 3
#define pinPortBA 5 //MOS
#define pinPortBB 4
#define pinPort1A 26 //IOS
#define pinPort1B 27
#define pinPort2A 29 //IOS
#define pinPort2B 28

#define portA 1
#define portB 2
#define port1 3
#define port2 4

#define vDefaultPause 10

class Buzzer {
    public:     
				Buzzer();
				Buzzer(int);
                Buzzer(int, int);
                void begin(int);
                void end(int);
                void sound(int, int);
                void slowDistortion(int, int);
                void distortion(int, int);
                void fastDistortion(int, int);
				void setBuzzerPort(uint8_t _port); //设置端口[A\B\1\2]音符为[C4]持续(1)拍
				void portTone(int, int); //设置端口[A\B\1\2]音符为[C4]持续(1)拍


                String toString();
    private:    int pinBuzzer;
                int pinLED;
                int pause;
};

#endif
